package com.atguigu.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.Info;
import lombok.extern.slf4j.Slf4j;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@Slf4j
public class Knife4jConfig {
    @Bean
    public OpenAPI customOpenAPI() {
        log.info("尚品甑选API接口文档");

        // 设定作者
        return new OpenAPI().info(new Info().title("尚品甑选API接口文档")
                .version("1.0").description("尚品甑选API接口文档").contact(new Contact().name("bunny")));
    }

    @Bean
    public GroupedOpenApi adminApi() {
        log.info("admin请求接口");

        return GroupedOpenApi.builder().group("admin请求接口").pathsToMatch("/admin/**").build();
    }

    @Bean
    public GroupedOpenApi orderApi() {
        log.info("订单管理接口-8510");

        return GroupedOpenApi.builder().group("订单管理接口").pathsToMatch("/api/order/orderInfo/**").build();
    }

    @Bean
    public GroupedOpenApi productApi() {
        log.info("商品管理接口-8511");

        return GroupedOpenApi.builder().group("商品管理接口").pathsToMatch("/api/product/**").build();
    }

    @Bean
    public GroupedOpenApi userApi() {
        log.info("用户接口-8512");

        return GroupedOpenApi.builder().group("用户接口").pathsToMatch("/api/user/**").build();
    }

    @Bean
    public GroupedOpenApi cartApi() {
        log.info("购物车接口-8513");

        return GroupedOpenApi.builder().group("购物车接口").pathsToMatch("/api/order/cart/**").build();
    }

    @Bean
    public GroupedOpenApi payApi() {
        log.info("支付接口-8514");

        return GroupedOpenApi.builder().group("支付接口").pathsToMatch("/api/order/alipay/**").build();
    }
}